require 'minitest/spec'
require 'minitest/autorun'
require 'csv2qti'
require_relative 'fixtures/quiz_questions'

describe Csv2qti::Matching do

  subject { Csv2qti::Matching.new(QuestionFixtures::MATCHING) }

  QUESTION_DATA = [["A", "Alpha Carbon"],
                            ["B", "Amino Group"],
                            ["C", "Carboxyl Group"],
                            ["D", "Hydrogen Atom"],
                            ["E", "R Group"]]
  it "pulls out the matches" do
    subject.answers.must_equal QUESTION_DATA
  end

  it "parses with em-dash" do
    subject.process_answers("A—Alpha Carbon\nB—Amino Group\nC—Carboxyl Group\nD—Hydrogen Atom\nE—R Group").must_equal QUESTION_DATA
  end

  it "parses with 2 dashes" do
    subject.process_answers("A--Alpha Carbon\nB--Amino Group\nC--Carboxyl Group\nD--Hydrogen Atom\nE--R Group").must_equal QUESTION_DATA
  end

  it "throws error when nothing to split is found" do
    assert_raises(Csv2qti::QuestionParseError) {subject.process_answers("oi")}
  end

end