require 'minitest/spec'
require 'minitest/autorun'
require 'csv2qti'
require_relative 'fixtures/quiz_questions'

describe Csv2qti::MultipleChoice do

  subject { Csv2qti::Question.new(QuestionFixtures::MC) }

  it "pulls out the stem" do
    subject.stem.must_equal "Human eye color is a ____ trait."
  end

  it "pulls out the license" do
    subject.license.must_equal "CC"
  end

  it "converts image text" do
    q = Csv2qti::Question.new(QuestionFixtures::IMAGE)
    q.stem.must_equal %{Given the punnett square below, choose the right answer? <img src="https://example.com/Bio_C8_LO2.jpg" />}
  end

end